import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteFleetAdvisorDatabasesRequest,
  DeleteFleetAdvisorDatabasesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteFleetAdvisorDatabasesCommandInput
  extends DeleteFleetAdvisorDatabasesRequest {}
export interface DeleteFleetAdvisorDatabasesCommandOutput
  extends DeleteFleetAdvisorDatabasesResponse,
    __MetadataBearer {}
declare const DeleteFleetAdvisorDatabasesCommand_base: {
  new (
    input: DeleteFleetAdvisorDatabasesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteFleetAdvisorDatabasesCommandInput,
    DeleteFleetAdvisorDatabasesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteFleetAdvisorDatabasesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteFleetAdvisorDatabasesCommandInput,
    DeleteFleetAdvisorDatabasesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteFleetAdvisorDatabasesCommand extends DeleteFleetAdvisorDatabasesCommand_base {
  protected static __types: {
    api: {
      input: DeleteFleetAdvisorDatabasesRequest;
      output: DeleteFleetAdvisorDatabasesResponse;
    };
    sdk: {
      input: DeleteFleetAdvisorDatabasesCommandInput;
      output: DeleteFleetAdvisorDatabasesCommandOutput;
    };
  };
}
