import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeEndpointsMessage,
  DescribeEndpointsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeEndpointsCommandInput
  extends DescribeEndpointsMessage {}
export interface DescribeEndpointsCommandOutput
  extends DescribeEndpointsResponse,
    __MetadataBearer {}
declare const DescribeEndpointsCommand_base: {
  new (
    input: DescribeEndpointsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEndpointsCommandInput,
    DescribeEndpointsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeEndpointsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEndpointsCommandInput,
    DescribeEndpointsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeEndpointsCommand extends DescribeEndpointsCommand_base {
  protected static __types: {
    api: {
      input: DescribeEndpointsMessage;
      output: DescribeEndpointsResponse;
    };
    sdk: {
      input: DescribeEndpointsCommandInput;
      output: DescribeEndpointsCommandOutput;
    };
  };
}
