import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeMetadataModelExportsAsScriptMessage,
  DescribeMetadataModelExportsAsScriptResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeMetadataModelExportsAsScriptCommandInput
  extends DescribeMetadataModelExportsAsScriptMessage {}
export interface DescribeMetadataModelExportsAsScriptCommandOutput
  extends DescribeMetadataModelExportsAsScriptResponse,
    __MetadataBearer {}
declare const DescribeMetadataModelExportsAsScriptCommand_base: {
  new (
    input: DescribeMetadataModelExportsAsScriptCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelExportsAsScriptCommandInput,
    DescribeMetadataModelExportsAsScriptCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeMetadataModelExportsAsScriptCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelExportsAsScriptCommandInput,
    DescribeMetadataModelExportsAsScriptCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeMetadataModelExportsAsScriptCommand extends DescribeMetadataModelExportsAsScriptCommand_base {
  protected static __types: {
    api: {
      input: DescribeMetadataModelExportsAsScriptMessage;
      output: DescribeMetadataModelExportsAsScriptResponse;
    };
    sdk: {
      input: DescribeMetadataModelExportsAsScriptCommandInput;
      output: DescribeMetadataModelExportsAsScriptCommandOutput;
    };
  };
}
