import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeRecommendationLimitationsRequest,
  DescribeRecommendationLimitationsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeRecommendationLimitationsCommandInput
  extends DescribeRecommendationLimitationsRequest {}
export interface DescribeRecommendationLimitationsCommandOutput
  extends DescribeRecommendationLimitationsResponse,
    __MetadataBearer {}
declare const DescribeRecommendationLimitationsCommand_base: {
  new (
    input: DescribeRecommendationLimitationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRecommendationLimitationsCommandInput,
    DescribeRecommendationLimitationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeRecommendationLimitationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRecommendationLimitationsCommandInput,
    DescribeRecommendationLimitationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeRecommendationLimitationsCommand extends DescribeRecommendationLimitationsCommand_base {
  protected static __types: {
    api: {
      input: DescribeRecommendationLimitationsRequest;
      output: DescribeRecommendationLimitationsResponse;
    };
    sdk: {
      input: DescribeRecommendationLimitationsCommandInput;
      output: DescribeRecommendationLimitationsCommandOutput;
    };
  };
}
