import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyReplicationSubnetGroupMessage,
  ModifyReplicationSubnetGroupResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ModifyReplicationSubnetGroupCommandInput
  extends ModifyReplicationSubnetGroupMessage {}
export interface ModifyReplicationSubnetGroupCommandOutput
  extends ModifyReplicationSubnetGroupResponse,
    __MetadataBearer {}
declare const ModifyReplicationSubnetGroupCommand_base: {
  new (
    input: ModifyReplicationSubnetGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationSubnetGroupCommandInput,
    ModifyReplicationSubnetGroupCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyReplicationSubnetGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationSubnetGroupCommandInput,
    ModifyReplicationSubnetGroupCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyReplicationSubnetGroupCommand extends ModifyReplicationSubnetGroupCommand_base {
  protected static __types: {
    api: {
      input: ModifyReplicationSubnetGroupMessage;
      output: ModifyReplicationSubnetGroupResponse;
    };
    sdk: {
      input: ModifyReplicationSubnetGroupCommandInput;
      output: ModifyReplicationSubnetGroupCommandOutput;
    };
  };
}
