import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeConnectionsCommandInput } from "../commands/DescribeConnectionsCommand";
import { DatabaseMigrationServiceClient } from "../DatabaseMigrationServiceClient";
export declare const waitForTestConnectionSucceeds: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeConnectionsCommandInput
) => Promise<WaiterResult>;
export declare const waitUntilTestConnectionSucceeds: (
  params: WaiterConfiguration<DatabaseMigrationServiceClient>,
  input: DescribeConnectionsCommandInput
) => Promise<WaiterResult>;
